Pular para o conteúdo principal
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
/
{event_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "status": "cancelled" }'
{
  "success": true,
  "data": {
    "id": "event-uuid-1",
    "status": "cancelled",
    "updated_at": "2024-01-15T19:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Atualizar Evento do Calendário

Atualizar campos de um evento de calendário existente. Todos os campos são opcionais.

Endpoint

PUT /api/v1/calendars/{calendar_id}/events/{event_id}

Parâmetros de Caminho

calendar_id
string
obrigatório
UUID do calendário.
event_id
string
obrigatório
UUID do evento.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here
Content-Type
string
obrigatório
Deve ser application/json.

Corpo da Requisição

Mesmos campos de Criar Evento de Calendário, todos opcionais.

Exemplos

curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "status": "cancelled" }'

Resposta

{
  "success": true,
  "data": {
    "id": "event-uuid-1",
    "status": "cancelled",
    "updated_at": "2024-01-15T19:00:00Z"
  }
}